# List playbooks

## List playbooks

<mark style="color:blue;">`GET`</mark> `https://app.copyfactory.io/api/v2/playbooks/list/`

List playbooks.

#### Query Parameters

| Name        | Type | Description          |
| ----------- | ---- | -------------------- |
| profile\_id | int  | Filter by profile ID |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Copyfactory API key |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
	'data': [{
	'id': 1,
	'playbook_name': 'My playbook',
	'created_timestamp': '2022-06-13T10:13:14.188Z',
	'profile_name': 'CF'
    }]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Shell" %}

```
curl --location --request GET 'https://app.copyfactory.io/api/v2/playbooks/list/' \
--header 'Authorization: API-KEY' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Python" %}

```
import requests
import json

url = f"https://app.copyfactory.io/api/v2/playbooks/list/"

headers = {
  'Authorization': 'API-KEY',
  'Content-Type': 'application/json'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

{% endtab %}
{% endtabs %}
